Bug 799284 - Review Request: perl-Pod-Plainer - Perl extension for converting Pod to old-style Pod
Review Request: perl-Pod-Plainer - Perl extension for converting Pod to old-s...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 807951
  Show dependency treegraph
 
Reported: 2012-03-02 06:41 EST by Xibo Ning
Modified: 2012-05-15 04:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-29 05:15:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xibo Ning 2012-03-02 06:41:14 EST
Spec URL: https://dl.dropbox.com/u/64704553/perl-pod-plainer.spec
SRPM URL: https://dl.dropbox.com/u/64704553/perl-Pod-Plainer-1.03-1.fc16.src.rpm
Description: 
Pod::Plainer uses Pod::Parser which takes Pod with the (new) 'C<< .. >>'
constructs and returns the old(er) style with just 'C<>'; '<' and '>' are
replaced by 'E<lt>' and 'E<gt>'.
This can be used to pre-process Pod before using tools which do not
recognise the new style Pods.
This my second package. But I also need a sponsor. Thanks a lot.
This package is required to support LSB 4.1
Comment 1 Xibo Ning 2012-03-19 20:52:10 EDT
perl(Pod::Plainer) is required by LSB 4.1. So, we need it. We can remove perl-Pod-Plainer package, and have redhat-lsb package contains Plainer.pm file. This is another solution, but I do not think this is a good idea.
Comment 2 Petr Šabata 2012-03-23 10:36:41 EDT
(In reply to comment #1)
> perl(Pod::Plainer) is required by LSB 4.1. So, we need it. We can remove
> perl-Pod-Plainer package, and have redhat-lsb package contains Plainer.pm file.
> This is another solution, but I do not think this is a good idea.

No, packaging Pod::Plainer like this is indeed the way to go.
Comment 3 Petr Šabata 2012-03-23 10:39:10 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[!]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[?]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[?]: MUST Package installs properly.
[!]: MUST Requires correct, justified where necessary.
[?]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/799284/Pod-Plainer-1.03.tar.gz :
  MD5SUM this package     : 15d42071d6bd861cb72daa8cc3111cd3
  MD5SUM upstream package : 15d42071d6bd861cb72daa8cc3111cd3
[x]: MUST Spec file is legible and written in American English.
[!]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[!]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[-]: SHOULD Spec use %global instead of %define.

Issues:
FIX: The package doesn't build due to missing build dependencies; add perl(Test::More) and, optionally, perl(Test::Pod::Coverage) >= 1.00 to your BRs.
FIX: The URL is wrong; correct it to http://search.cpan.org/dist/Pod-Plainer/
FIX: Also the SPEC filename is just lowercase.  This needs to be fixed too.
FIX: Remove useless Provides; this is created automatically by rpmbuild.
TODO: Also, you don't have to explicitly require perl(Pod::Parser), rpmbuild gets this.
TODO: Use %{version} in Source tag.
FIX: Your package doesn't require Perl MODULE_COMPAT.  Add "perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))" to your Requires.
TODO: Don't package META* in %doc.  There's nothing of interest for the end-user.
TIP: Don't rely on gzip manpage compression.  Replace '.gz' with '*'.
TIP: You don't have to use OPTIMIZE since this is a noarch package, as you also state on line 28.
FIX: Don't define PREFIX, and especially -- don't use hardcoded paths like '/usr'.

Not approved.
Fix the items marked as 'FIX', 'TODOs' are highly recommended.

Generated by fedora-review 0.2.0git
External plugins:
Comment 4 Xibo Ning 2012-03-25 22:29:16 EDT
(In reply to comment #3)
> Package Review
> ==============
> 
> Key:
> - = N/A
> x = Pass
> ! = Fail
> ? = Not evaluated
> 
> 
> ==== Generic ====
> [x]: MUST Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [-]: MUST Package successfully compiles and builds into binary rpms on at
>      least one supported primary architecture.
> [-]: MUST %build honors applicable compiler flags or justifies otherwise.
> [!]: MUST All build dependencies are listed in BuildRequires, except for any
>      that are listed in the exceptions section of Packaging Guidelines.
> [x]: MUST Buildroot is not present
>      Note: Unless packager wants to package for EPEL5 this is fine
> [x]: MUST Package contains no bundled libraries.
> [x]: MUST Changelog in prescribed format.
> [x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
>      Note: Clean would be needed if support for EPEL is required
> [x]: MUST Sources contain only permissible code or content.
> [x]: MUST Each %files section contains %defattr if rpm < 4.4
>      Note: Note: defattr macros not found. They would be needed for EPEL5
> [-]: MUST Macros in Summary, %description expandable at SRPM build time.
> [!]: MUST Package requires other packages for directories it uses.
> [x]: MUST Package uses nothing in %doc for runtime.
> [x]: MUST Package is not known to require ExcludeArch.
> [x]: MUST Permissions on files are set properly.
> [x]: MUST Package does not contain duplicates in %files.
> [x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
> [x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
>      Note: rm -rf would be needed if support for EPEL5 is required
> [-]: MUST Large documentation files are in a -doc subpackage, if required.
> [-]: MUST If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %doc.
> [x]: MUST License field in the package spec file matches the actual license.
> [!]: MUST Package consistently uses macros (instead of hard-coded directory
>      names).
> [x]: MUST Package is named according to the Package Naming Guidelines.
> [?]: MUST Package does not generate any conflict.
> [x]: MUST Package obeys FHS, except libexecdir and /usr/target.
> [x]: MUST Package must own all directories that it creates.
> [x]: MUST Package does not own files or directories owned by other packages.
> [?]: MUST Package installs properly.
> [!]: MUST Requires correct, justified where necessary.
> [?]: MUST Rpmlint output is silent.
> [x]: MUST Sources used to build the package match the upstream source, as
>      provided in the spec URL.
> /home/contyk/src/review/799284/Pod-Plainer-1.03.tar.gz :
>   MD5SUM this package     : 15d42071d6bd861cb72daa8cc3111cd3
>   MD5SUM upstream package : 15d42071d6bd861cb72daa8cc3111cd3
> [x]: MUST Spec file is legible and written in American English.
> [!]: MUST Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [-]: MUST Package contains a SysV-style init script if in need of one.
> [x]: MUST File names are valid UTF-8.
> [-]: MUST Useful -debuginfo package or justification otherwise.
> [!]: SHOULD Reviewer should test that the package builds in mock.
> [-]: SHOULD If the source package does not include license text(s) as a
>      separate file from upstream, the packager SHOULD query upstream to
>      include it.
> [x]: SHOULD Dist tag is present.
> [x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
>      /usr/sbin.
> [!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
>      --requires).
> [?]: SHOULD Package functions as described.
> [x]: SHOULD Latest version is packaged.
> [x]: SHOULD Package does not include license text files separate from
>      upstream.
> [x]: SHOULD SourceX is a working URL.
> [-]: SHOULD Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [-]: SHOULD Package should compile and build into binary rpms on all supported
>      architectures.
> [!]: SHOULD %check is present and all tests pass.
> [x]: SHOULD Packages should try to preserve timestamps of original installed
>      files.
> [-]: SHOULD Spec use %global instead of %define.
> 
> Issues:
> FIX: The package doesn't build due to missing build dependencies; add
> perl(Test::More) and, optionally, perl(Test::Pod::Coverage) >= 1.00 to your
> BRs.
> FIX: The URL is wrong; correct it to http://search.cpan.org/dist/Pod-Plainer/
> FIX: Also the SPEC filename is just lowercase.  This needs to be fixed too.
> FIX: Remove useless Provides; this is created automatically by rpmbuild.
> TODO: Also, you don't have to explicitly require perl(Pod::Parser), rpmbuild
> gets this.
> TODO: Use %{version} in Source tag.
> FIX: Your package doesn't require Perl MODULE_COMPAT.  Add
> "perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))" to your
> Requires.
> TODO: Don't package META* in %doc.  There's nothing of interest for the
> end-user.
> TIP: Don't rely on gzip manpage compression.  Replace '.gz' with '*'.
> TIP: You don't have to use OPTIMIZE since this is a noarch package, as you also
> state on line 28.
> FIX: Don't define PREFIX, and especially -- don't use hardcoded paths like
> '/usr'.
> 
> Not approved.
> Fix the items marked as 'FIX', 'TODOs' are highly recommended.
> 
> Generated by fedora-review 0.2.0git
> External plugins:

Has fixed the items marked as 'FIX', 'TODO', and 'TIP', Petr. Pls recheck this package. Thanks a lot.
Spec URL: https://dl.dropbox.com/u/64704553/perl-pod-plainer.spec
SRPM URL:
https://dl.dropbox.com/u/64704553/perl-Pod-Plainer-1.03-1.fc16.src.rpm
Comment 5 Petr Šabata 2012-03-27 05:19:49 EDT
> FIX: The package doesn't build due to missing build dependencies; add 
> perl(Test::More) and, optionally, perl(Test::Pod::Coverage) >= 1.00 to your
> BRs.

OK.

> FIX: The URL is wrong; correct it to http://search.cpan.org/dist/Pod-Plainer

OK.

> FIX: Also the SPEC filename is just lowercase.  This needs to be fixed too.

perl-pod-plainer.spec again?  Not OK. 

> FIX: Remove useless Provides; this is created automatically by rpmbuild.

OK.

> TODO: Also, you don't have to explicitly require perl(Pod::Parser),
> rpmbuild gets this.

OK.

> TODO: Use %{version} in Source tag.

OK.

> FIX: Your package doesn't require Perl MODULE_COMPAT.  Add 
> "perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))" to
> your Requires.

OK.

> TODO: Don't package META* in %doc.  There's nothing of interest for the 
> end-user.

OK.

> TIP: Don't rely on gzip manpage compression.  Replace '.gz' with '*'.

OK.

> TIP: You don't have to use OPTIMIZE since this is a noarch package, as you 
> also state on line 28. 

OK.

> FIX: Don't define PREFIX, and especially -- don't use hardcoded paths like
> '/usr'.

You don't have to define PREFIX at all.

--
I'm approving this package.  Just please use the correct letter case in your SPEC file name before you import it.
Comment 6 Xibo Ning 2012-03-27 07:41:11 EDT
(In reply to comment #5)
> > FIX: The package doesn't build due to missing build dependencies; add 
> > perl(Test::More) and, optionally, perl(Test::Pod::Coverage) >= 1.00 to your
> > BRs.
> 
> OK.
> 
> > FIX: The URL is wrong; correct it to http://search.cpan.org/dist/Pod-Plainer
> 
> OK.
> 
> > FIX: Also the SPEC filename is just lowercase.  This needs to be fixed too.
> 
> perl-pod-plainer.spec again?  Not OK. 
Fixed
> 
> > FIX: Remove useless Provides; this is created automatically by rpmbuild.
> 
> OK.
> 
> > TODO: Also, you don't have to explicitly require perl(Pod::Parser),
> > rpmbuild gets this.
> 
> OK.
> 
> > TODO: Use %{version} in Source tag.
> 
> OK.
> 
> > FIX: Your package doesn't require Perl MODULE_COMPAT.  Add 
> > "perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))" to
> > your Requires.
> 
> OK.
> 
> > TODO: Don't package META* in %doc.  There's nothing of interest for the 
> > end-user.
> 
> OK.
> 
> > TIP: Don't rely on gzip manpage compression.  Replace '.gz' with '*'.
> 
> OK.
> 
> > TIP: You don't have to use OPTIMIZE since this is a noarch package, as you 
> > also state on line 28. 
> 
> OK.
> 
> > FIX: Don't define PREFIX, and especially -- don't use hardcoded paths like
> > '/usr'.
> 
> You don't have to define PREFIX at all.
> 
Fixed
> --
> I'm approving this package.  Just please use the correct letter case in your
> SPEC file name before you import it.

The fixed package and spec file are here:
Spec URL: https://dl.dropbox.com/u/64704553/perl-pod-plainer.spec
SRPM URL:
https://dl.dropbox.com/u/64704553/perl-Pod-Plainer-1.03-1.fc16.src.rpm

Thanks very much, Petr.
Comment 7 Xibo Ning 2012-03-27 07:42:43 EDT
(In reply to comment #5)
> > FIX: The package doesn't build due to missing build dependencies; add 
> > perl(Test::More) and, optionally, perl(Test::Pod::Coverage) >= 1.00 to your
> > BRs.
> 
> OK.
> 
> > FIX: The URL is wrong; correct it to http://search.cpan.org/dist/Pod-Plainer
> 
> OK.
> 
> > FIX: Also the SPEC filename is just lowercase.  This needs to be fixed too.
> 
> perl-pod-plainer.spec again?  Not OK. 
Fixed
> 
> > FIX: Remove useless Provides; this is created automatically by rpmbuild.
> 
> OK.
> 
> > TODO: Also, you don't have to explicitly require perl(Pod::Parser),
> > rpmbuild gets this.
> 
> OK.
> 
> > TODO: Use %{version} in Source tag.
> 
> OK.
> 
> > FIX: Your package doesn't require Perl MODULE_COMPAT.  Add 
> > "perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))" to
> > your Requires.
> 
> OK.
> 
> > TODO: Don't package META* in %doc.  There's nothing of interest for the 
> > end-user.
> 
> OK.
> 
> > TIP: Don't rely on gzip manpage compression.  Replace '.gz' with '*'.
> 
> OK.
> 
> > TIP: You don't have to use OPTIMIZE since this is a noarch package, as you 
> > also state on line 28. 
> 
> OK.
> 
> > FIX: Don't define PREFIX, and especially -- don't use hardcoded paths like
> > '/usr'.
> 
> You don't have to define PREFIX at all.
> 
Fixed
> --
> I'm approving this package.  Just please use the correct letter case in your
> SPEC file name before you import it.

The fixed package and spec file are here:
Spec URL: https://dl.dropbox.com/u/64704553/perl-Pod-Plainer.spec
SRPM URL:
https://dl.dropbox.com/u/64704553/perl-Pod-Plainer-1.03-1.fc16.src.rpm

Thanks very much, Petr.
Comment 8 Petr Šabata 2012-03-27 09:15:17 EDT
Ok, fine.
I've approved this review already. You should submit an SCM request now.
http://fedoraproject.org/wiki/Package_SCM_admin_requests#New_Packages
Comment 9 Xibo Ning 2012-03-27 09:42:55 EDT
New Package SCM Request
=======================
Package Name: perl-Pod-Plainer
Short Description: Perl extension for converting Pod to old-style Pod
Owners: xning
Branches: f16 f17 el5 el6
InitialCC: psabata perl-sig pnemade
Comment 10 Gwyn Ciesla 2012-03-27 09:45:17 EDT
Git done (by process-git-requests).
Comment 11 Xibo Ning 2012-03-28 00:13:53 EDT
Have pushed and built the package, but failed when I run 'fedpkg update'. 
Thanks, Jon.
Comment 12 Petr Šabata 2012-03-28 03:49:02 EDT
(In reply to comment #11)
> Have pushed and built the package, but failed when I run 'fedpkg update'. 
> Thanks, Jon.

Assuming you did everything correctly (hard to guess), file a bug for fedpkg.
You could use bodhi or the updates web interface meanwhile.

Note You need to log in before you can comment on or make changes to this bug.